KDE 4.2 PyKDE API Reference

- KDE's Python API

# OpenUrlEvent Class Reference

`from PyKDE4.kparts import *`

Inherits: KParts.Event → QEvent
Namespace: KParts

## Detailed Description

## Methods

| __init__ (self, KParts.ReadOnlyPart part, KUrl url, KParts.OpenUrlArguments args=KParts.OpenUrlArguments(), KParts.BrowserArguments browserArgs=KParts.BrowserArguments())
KParts.OpenUrlArguments | arguments (self)
KParts.BrowserArguments | browserArguments (self)
KParts.ReadOnlyPart | part (self)
KUrl | url (self)

## Static Methods

bool | test (QEvent event)

## Method Documentation

__init__ | ( | self, |
|  | KParts.ReadOnlyPart | part,
|  | KUrl | url,
|  | KParts.OpenUrlArguments | args=KParts.OpenUrlArguments(),
|  | KParts.BrowserArguments | browserArgs=KParts.BrowserArguments()
| ) |  |  |

KParts.OpenUrlArguments arguments | ( |  | self ) |

KParts.BrowserArguments browserArguments | ( |  | self ) |

KParts.ReadOnlyPart part | ( |  | self ) |

bool test | ( | QEvent | event
| ) |  |  |

KUrl url | ( |  | self ) |